For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList sheets
      • GETGet a sheet
      • DELDelete a sheet
      • POSTDuplicate a sheet
      • POSTValidate a sheet
      • GETDownload records as a CSV file
      • GETGet record counts
      • GETList calculations
      • GETGet commit versions for a sheet
      • POSTLock a sheet
      • POSTUnlock a sheet
      • GETGet record cells by field
      • PATCHUpdate a sheet
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceSheets

Delete a sheet

DELETE
https://api.x.flatfile.com/v1/sheets/:sheetId
DELETE
/v1/sheets/:sheetId
$curl -X DELETE https://api.x.flatfile.com/v1/sheets/us_sh_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Deletes a specific sheet from a workbook
Was this page helpful?
Previous

Duplicate a sheet

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sheetIdstringRequired
ID of sheet

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error